$packageName = 'wiremockui'
$title = 'WiremockUI'
$toolsPath = Split-Path -Parent $MyInvocation.MyCommand.Definition
$unPath = Join-Path $toolsPath 'Uninstall-ChocolateyPath.psm1'
$binRoot = Get-ToolsLocation
$installPath = Join-Path $binRoot $packageName

# Remove environment path windows
Import-Module $unPath

# Remove folder
Write-Host "Remove Folder $installPath"
if (Test-Path $installPath) {
    Remove-Item -Path $installPath -Recurse -Force
}

# Remove shortcut in desktop
Write-Host "Remove Desktop ShortCurt..."
$desktop = $([System.Environment]::GetFolderPath([System.Environment+SpecialFolder]::DesktopDirectory))
$desktop = Join-Path $desktop "$title.lnk"
Write-Host $desktop
if (Test-Path $desktop) {   
   Remove-Item -Path $desktop
}

# Remove shortcut in start menu
Write-Host "Remove StartMenu ShortCurt..."
$programs = [environment]::GetFolderPath([environment+specialfolder]::Programs)
$programs = Join-Path $programs "$title.lnk"
Write-Host $programs
if (Test-Path $programs) {
   Remove-Item -Path $programs
}